package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class BeisenTransferPhaseFacadeFactory
{
    private BeisenTransferPhaseFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("49A51C3B") ,com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade.class);
    }
    
    public static com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("49A51C3B") ,com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("49A51C3B"));
    }
    public static com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IBeisenTransferPhaseFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("49A51C3B"));
    }
}